TextLocatorImpl (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.model.impl

## Class TextLocatorImpl

- java.lang.Object
- - tv.amwa.maj.model.impl.InterchangeObjectImpl
  - - tv.amwa.maj.model.impl.LocatorImpl
    - - tv.amwa.maj.model.impl.TextLocatorImpl

- All Implemented Interfaces:
    Serializable, Cloneable, QLocator, MediaEntity, MetadataObject, XMLSerializable, InterchangeObject, Locator, TextLocator

      @MediaClass(uuid1=218169601,
                  uuid2=257,
                  uuid3=13056,
                  uuid4={6,14,43,52,2,6,1,1},
                  definedName="TextLocator",
                  description="The TextLocator class provides information to help find a file containing the essence or to help find the physical media.",
                  symbol="TextLocator")
      public class TextLocatorImpl
      extends LocatorImpl
      implements TextLocator, Serializable, XMLSerializable, Cloneable

  Implements a representation of information to help find a file containing the essence or to help find the physical media. A text locator is not intended for applications to use without user intervention.

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class tv.amwa.maj.model.impl.InterchangeObjectImpl

      `ObjectClassPropertyID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextLocatorImpl()`
    `TextLocatorImpl(String name)` Creates and initializes a new text locator, which provides information to help find a file containing the essence or to help find the physical media.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TextLocator` | `clone()` Create a cloned copy of this interchange object.
    `String` | `getLocationName()` Returns the location name of the text locator, which provides a text string containing information to help find the file containing the essence or the physical media.
    `String` | `getLocationNamePersist()`
    `static String` | `initializeLocationName()`
    `void` | `setLocationName(String name)` Sets the location name of the text locator, which provides a text string containing information to help find the file containing the essence or the physical media.
    `void` | `setLocationNamePersist(String urlString)`

    - ### Methods inherited from class tv.amwa.maj.model.impl.LocatorImpl

      `appendXMLChildren, getComment, getNumberOfFiles, getPath, getTapeOffset, setNumberOfFiles, setPath, setTapeOffset`

    - ### Methods inherited from class tv.amwa.maj.model.impl.InterchangeObjectImpl

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getLinkedGenerationIDString, getObjectClass, getPersistentID, getPersistentIndex, hashCode, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setLinkedGenerationIDString, setObjectClass, setPersistentID, setPersistentIndex, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.model.Locator

      `getPath, setPath`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

    - ### Methods inherited from interface tv.amwa.maj.io.xml.XMLSerializable

      `appendXMLChildren, getComment`

- - ### Constructor Detail

    - #### TextLocatorImpl

          public TextLocatorImpl()

    - #### TextLocatorImpl

          public TextLocatorImpl(@AAFString
                                 String name)
                          throws NullPointerException

      Creates and initializes a new text locator, which provides information to help find a file containing the essence or to help find the physical media.

      Parameters:
        `name` - Text string containing information to help find the file containing the essence or the physical media.
      Throws:
        `NullPointerException` - Location of the media is `null`.

  - ### Method Detail

    - #### getLocationName

          @MediaProperty(uuid1=17039618,
                         uuid2=256,
                         uuid3=0,
                         uuid4={6,14,43,52,1,1,1,2},
                         definedName="LocationName",
                         typeName="UTF16String",
                         optional=false,
                         uniqueIdentifier=false,
                         pid=16641,
                         symbol="LocationName",
                         aliases={"TextLocatorName","Name"})
          public String getLocationName()

      Description copied from interface: `TextLocator`

      Returns the location name of the text locator, which provides a text string containing information to help find the file containing the essence or the physical media.

      Specified by:
        `getLocationName` in interface `TextLocator`
      Returns:
        Name property of the text locator.
      See Also:
        `Locator.getPath()`

    - #### setLocationName

          @MediaPropertySetter(value="LocationName")
          public void setLocationName(String name)
                                                                          throws NullPointerException

      Description copied from interface: `TextLocator`

      Sets the location name of the text locator, which provides a text string containing information to help find the file containing the essence or the physical media.

      Specified by:
        `setLocationName` in interface `TextLocator`
      Parameters:
        `name` - Name property of the text locator.
      Throws:
        `NullPointerException` - The given name is `null`.
      See Also:
        `Locator.setPath(String)`

    - #### initializeLocationName

          public static final String initializeLocationName()

    - #### clone

          public TextLocator clone()

      Description copied from interface: `InterchangeObject`

      Create a cloned copy of this interchange object.

      Specified by:
        `clone` in interface `MediaEntity`
      Specified by:
        `clone` in interface `InterchangeObject`
      Specified by:
        `clone` in interface `Locator`
      Specified by:
        `clone` in interface `TextLocator`
      Overrides:
        `clone` in class `LocatorImpl`
      Returns:
        Cloned copy of this interchange object.

    - #### getLocationNamePersist

          public String getLocationNamePersist()

    - #### setLocationNamePersist

          public void setLocationNamePersist(String urlString)

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.